curl --location --request DELETE 'https://api.stateset.com/v1/bill_of_materials_line_item/:id' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"user_group_id": "example_1"
"current_token": "abcdef"
}'
mutation deleteBillOfMaterialLineItem($bill_of_material_line_item_id: uuid!) {
delete_bill_of_material_line_items(where: { id: { _eq: $bill_of_material_line_item_id } }) {
affected_rows
}
}
const created = await stateset.billofmaterialItems.del(
'bomi_ODkRWQtx9NVsRX'
);
created = stateset.billofmaterialItems.del(
'bomi_ODkRWQtx9NVsRX'
)
created = Stateset::BillofmaterialItems.del(
'bomi_ODkRWQtx9NVsRX'
)
$created = $stateset->billofmaterialItems->del(
'bomi_ODkRWQtx9NVsRX'
);
created, err := stateset.BillofmaterialItems.Del(
'bomi_ODkRWQtx9NVsRX'
)
BillofmaterialItemsResponse created = stateset.billofmaterialItems.del(
'bomi_ODkRWQtx9NVsRX'
);
var created = stateset.BillofmaterialItems.Del(
'bomi_ODkRWQtx9NVsRX'
);
{
"id": "bomi_1NXWPnCo6bFb1KQto6C8OWvE",
"object": "bill_of_materials_line_item",
"deleted": true
}
Delete Bill of Materials Line Item
This endpoint deletes an existing bill of materials line item.
DELETE
/
v1
/
bill_of_materials_line_items
/
:id
curl --location --request DELETE 'https://api.stateset.com/v1/bill_of_materials_line_item/:id' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"user_group_id": "example_1"
"current_token": "abcdef"
}'
mutation deleteBillOfMaterialLineItem($bill_of_material_line_item_id: uuid!) {
delete_bill_of_material_line_items(where: { id: { _eq: $bill_of_material_line_item_id } }) {
affected_rows
}
}
const created = await stateset.billofmaterialItems.del(
'bomi_ODkRWQtx9NVsRX'
);
created = stateset.billofmaterialItems.del(
'bomi_ODkRWQtx9NVsRX'
)
created = Stateset::BillofmaterialItems.del(
'bomi_ODkRWQtx9NVsRX'
)
$created = $stateset->billofmaterialItems->del(
'bomi_ODkRWQtx9NVsRX'
);
created, err := stateset.BillofmaterialItems.Del(
'bomi_ODkRWQtx9NVsRX'
)
BillofmaterialItemsResponse created = stateset.billofmaterialItems.del(
'bomi_ODkRWQtx9NVsRX'
);
var created = stateset.BillofmaterialItems.Del(
'bomi_ODkRWQtx9NVsRX'
);
{
"id": "bomi_1NXWPnCo6bFb1KQto6C8OWvE",
"object": "bill_of_materials_line_item",
"deleted": true
}
Body
The id of the bill of materials line item you want to delete
Response
The ID provided in the data tab may be used to identify the return
The object type
Indicates whether the call was successful. 1 if successful, 0 if not.
curl --location --request DELETE 'https://api.stateset.com/v1/bill_of_materials_line_item/:id' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"user_group_id": "example_1"
"current_token": "abcdef"
}'
mutation deleteBillOfMaterialLineItem($bill_of_material_line_item_id: uuid!) {
delete_bill_of_material_line_items(where: { id: { _eq: $bill_of_material_line_item_id } }) {
affected_rows
}
}
const created = await stateset.billofmaterialItems.del(
'bomi_ODkRWQtx9NVsRX'
);
created = stateset.billofmaterialItems.del(
'bomi_ODkRWQtx9NVsRX'
)
created = Stateset::BillofmaterialItems.del(
'bomi_ODkRWQtx9NVsRX'
)
$created = $stateset->billofmaterialItems->del(
'bomi_ODkRWQtx9NVsRX'
);
created, err := stateset.BillofmaterialItems.Del(
'bomi_ODkRWQtx9NVsRX'
)
BillofmaterialItemsResponse created = stateset.billofmaterialItems.del(
'bomi_ODkRWQtx9NVsRX'
);
var created = stateset.BillofmaterialItems.Del(
'bomi_ODkRWQtx9NVsRX'
);
{
"id": "bomi_1NXWPnCo6bFb1KQto6C8OWvE",
"object": "bill_of_materials_line_item",
"deleted": true
}
⌘I